# TBasicVolumetricCloudsShape Class Reference

Inheritance diagram for TBasicVolumetricCloudsShape:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual real MCCOMAPI | GetValue (const TVector3 &point)
virtual void MCCOMAPI | SetScale (const TVector3 &scale)
virtual void MCCOMAPI | SetPrecision (const real precision)
virtual boolean MCCOMAPI | IsShapeChanged ()

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicVolumetricCloudsShape::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicDataExchanger.

virtual real MCCOMAPI TBasicVolumetricCloudsShape::GetValue | ( | const TVector3 & | point | ) | `[inline, virtual]`

This return a density value of the cloud at a given point. The density must be between 0 and 1. > 0 is no density (fully transparent) > 1 is cloud

Parameters:

  | point | the point is in the box defined by {(0,0,0), (1,1,1) }

Implements I3DExVolumetricCloudsShape.

virtual boolean MCCOMAPI TBasicVolumetricCloudsShape::IsShapeChanged | ( |  | ) | `[inline, virtual]`

Use to know if the shape has changed since the last time time function is called. Very usefull for updating the caches. Be accurate on the returned value to avoid HUGE recomputation.

Returns:
  true if the shape has changed since the last call.

Implements I3DExVolumetricCloudsShape.

virtual MCCOMErr MCCOMAPI TBasicVolumetricCloudsShape::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicDataExchanger.

virtual void MCCOMAPI TBasicVolumetricCloudsShape::SetPrecision | ( | const real | precision | ) | `[inline, virtual]`

Use to tell the Shape the precision requested.

Parameters:

  | precision | Level of precision. 0.0f is the poorest, 1.0f is the best.

Implements I3DExVolumetricCloudsShape.

virtual void MCCOMAPI TBasicVolumetricCloudsShape::SetScale | ( | const TVector3 & | scale | ) | `[inline, virtual]`

Use to tell the Shape the scale it will be displayed.

Parameters:

  | scale | the 3 directions scale

Implements I3DExVolumetricCloudsShape.

The documentation for this class was generated from the following file:

- BasicVolumetricCloudsShape.h